org.apache.struts2.jasper.xmlparser

## Class SymbolTable.Entry

- java.lang.Object
- - org.apache.struts2.jasper.xmlparser.SymbolTable.Entry

- Enclosing class:
    SymbolTable

      protected static final class SymbolTable.Entry
      extends Object

  This class is a symbol table entry. Each entry acts as a node in a linked list.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `char[]` | `characters` Symbol characters.
    `SymbolTable.Entry` | `next` The next entry.
    `String` | `symbol` Symbol.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SymbolTable.Entry(char[] ch, int offset, int length, SymbolTable.Entry next)` Constructs a new entry from the specified symbol information and next entry reference.
    `SymbolTable.Entry(String symbol, SymbolTable.Entry next)` Constructs a new entry from the specified symbol and next entry reference.

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### symbol

          public String symbol

      Symbol.

    - #### characters

          public char[] characters

      Symbol characters. This information is duplicated here for comparison performance.

    - #### next

          public SymbolTable.Entry next

      The next entry.

  - ### Constructor Detail

    - #### SymbolTable.Entry

          public SymbolTable.Entry(String symbol,
                           SymbolTable.Entry next)

      Constructs a new entry from the specified symbol and next entry reference.
      Parameters:
        `symbol` - symbol
        `next` - next entry

    - #### SymbolTable.Entry

          public SymbolTable.Entry(char[] ch,
                           int offset,
                           int length,
                           SymbolTable.Entry next)

      Constructs a new entry from the specified symbol information and next entry reference.
      Parameters:
        `ch` - char array
        `offset` - offset
        `length` - length
        `next` - next entry

Copyright © 2000–2019 Apache Software Foundation. All rights reserved.